List capacity claims
curl --request GET \
--url https://api.coreweave.com/v1alpha1/inference/capacityclaims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1alpha1/inference/capacityclaims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1alpha1/inference/capacityclaims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacityClaims": [
{
"spec": {
"id": "<string>",
"name": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
]
},
"organizationId": "<string>"
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"allocatedInstances": 123,
"pendingInstances": 123
}
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List capacity claims
Fetch every CapacityClaim the caller can read, with optional updatedAfter filter.
GET
/
v1alpha1
/
inference
/
capacityclaims
List capacity claims
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
updatedAfter query parameter
filters results to claims updated after the given ISO-8601
timestamp.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/capacityclaims \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
Authorizations
CoreWeave API access token sent as a bearer token.
Query Parameters
Filter by those updated after this timestamp
Response
OK
Response for ListCapacityClaims
The list of CapacityClaims
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I